/*
	MSAEUtils.h
	
	Version 1.0d4
	
	Copyright  Apple Computer UK Ltd. 1992
	
	All rights reserved.
	
	Produced by : UK Developer Technical Support
	AppleLink   : UK.DTS

*/	

#ifndef __MSAEUTILS__
#define __MSAEUTILS__

#include <Types.h>
#include <QuickDraw.h>
#include <Packages.h>
#include <GestaltEqu.h>
#include <Editions.h>
#include <Printing.h>
#include <AppleEvents.h>

/**-----------------------------------------------------------------------
	Utility Routines for getting data from AEDesc's
  -----------------------------------------------------------------------**/
	
pascal void GetRawDataFromDescriptor(const AEDesc *theDesc,
																		 Ptr     destPtr,
																		 Size    destMaxSize,
																		 Size    *actSize);
																		 
pascal OSErr GetPStringFromDescriptor(const AEDesc *sourceDesc, char *resultStr);

pascal OSErr GetIntegerFromDescriptor(const AEDesc *sourceDesc, short *result);
	
pascal OSErr GetBooleanFromDescriptor(const AEDesc *sourceDesc,
																	    Boolean *result);
																			
pascal OSErr GetLongIntFromDescriptor(const AEDesc *sourceDesc, 
                                      long   *result);

pascal OSErr GetRectFromDescriptor(const AEDesc *sourceDesc, Rect *result);

pascal OSErr GetPointFromDescriptor(const AEDesc *sourceDesc,
															      Point  *result);

pascal OSErr GetStyledTextFromDescIntoTEHandle(const AEDesc *sourceTextDesc, TEHandle theHTE);
																		
#endif