/*
	MSFile.h
	
	Version 1.0d4
	
	Copyright  Apple Computer UK Ltd. 1992
	
	All rights reserved.
	
	Produced by : UK Developer Technical Support
	AppleLink   : UK.DTS
*/

#ifndef __MSFILE__
#define __MSFILE__

#include <Memory.h>
#include <QuickDraw.h>
#include <Traps.h>
#include <Files.h>
#include <Packages.h>
#include <Editions.h>
#include <AppleEvents.h>
#include <Printing.h>

#include "MSGlobals.h"
#include "MSUtils.h"
#include "MSWindow.h"
#include "MSEditions.h"
				 
pascal void DoQuit(DescType saveOpt);

pascal OSErr DoClose(WindowPtr aWindow,Boolean canInteract,DescType dialogAnswer);

pascal OSErr GetFileNameToSaveAs(DPtr theDocument);

pascal OSErr DoSave(DPtr theDocument, FSSpec theFSSpec);

pascal OSErr GetFileContents(FSSpec theFSSpec, DPtr theDocument);

pascal void FileError(Str255 s, Str255 f);

pascal OSErr SaveUsingTemp(DPtr theDocument);

pascal OSErr OpenOld(FSSpec aFSSpec);

pascal OSErr OpenUsingAlias(AliasHandle theAliasH);

pascal OSErr GetFile(FSSpec *theFSSpec);

#endif